function s = laststateLeakytest(W, Win, LR, input, startstate)
% run reservoir with internal weights W and input weights Win in input,
% which is given as column sequence. Return last state (column vector)
L = size(input,1);
dim = size(W,1);
% initialize state
s = startstate;
%s(1) = 1;
for i = 1:L
    s = s + LR * tanh( Win * input(i,:)');
    %s(1) = 1;
end