function rangeVals = ranging(interval, N)
% takes an interval [a b] and an integer N and returns a column vector of N
% equally spaced points covering the interval.
rangeVals =  ((0:N-1) * (interval(2)-interval(1)) / (N-1) + ...
        interval(1))';